# BEGIN SourceDeps(oneline):
BuildRequires: perl(Convert/Color.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Math/Trig.pm) perl(Test/Perl/Critic.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Convert-Color-HSLuv
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.000001
Release: alt1
Summary: Convert between RGB, CIEXYZ, CIELUV, CIELCh, HSLuv, HPLuv color spaces
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MG/MGV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Objects of this class represent colors in the HSLuv color space, revision 4.

Methods:

=over

=item Convert::Color::HSLuv->new(*$h*, *$s*, *$l*)

Construct a color from its components.

=item Convert::Color::HSLuv->new(*"$h,$s,$l"*)

Construct a color from a string. The string should contain the three
components, separated by commas.

=item $hsluv->H

=item $hsluv->S

=item $hsluv->L

Accessors for the three components of the color.

=item $hsluv->hsl

Returns the three components as a list.

=back
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
* Fri Mar 24 2017 Igor Vlasenko <viy@altlinux.ru> 1.000001-alt1
- initial import by package builder

